curl --request GET \
--url https://api.aisa.one/apis/v1/fred/releases/dates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/releases/dates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/releases/dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/releases/dates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/releases/dates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/releases/dates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/releases/dates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyGet Releases Dates
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/releases/dates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/releases/dates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/releases/dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/releases/dates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/releases/dates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/releases/dates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/releases/dates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyRequest contract
- Method and path: GET /apis/v1/fred/releases/dates
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/fred/releases/dates - file_type: query; optional
- include_release_dates_with_no_data: query; optional
- limit: query; optional
- offset: query; optional
- order_by: query; optional
- realtime_end: query; optional
- realtime_start: query; optional
- sort_order: query; optional
{
"operationId": "any_fred_apis_v1_fred_releases_dates",
"method": "GET",
"path": "/apis/v1/fred/releases/dates",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "A key or file extension that indicates the type of file to send.\nstring, optional, default: xml\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"in": "query",
"name": "file_type",
"required": false,
"schema": {
"default": "xml",
"enum": [
"xml",
"json"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"string, optional, default: xml",
"One of the following values: 'xml', 'json'"
]
},
{
"description": "Determines whether release dates with no data available are returned. The defalut value 'false' excludes release dates that do not have data. In particular, this excludes future release dates which may be available in the FRED release calendar or the ALFRED release calendar .\nIf include_release_dates_with_no_data is set to true, the XML tag release_date has an extra attribute release_last_updated that can be compared to the release date to determine if data has been updated.\nOne of the following strings: 'true', 'false'.\noptional, default: false",
"in": "query",
"name": "include_release_dates_with_no_data",
"required": false,
"schema": {
"default": "false",
"enum": [
"true",
"false"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"One of the following strings: 'true', 'false'.",
"optional, default: false"
]
},
{
"description": "The maximum number of results to return.\ninteger between 1 and 1000, optional, default: 1000",
"in": "query",
"name": "limit",
"required": false,
"schema": {
"default": 1000,
"maximum": 1000,
"minimum": 1,
"type": "integer"
},
"x-aisa-reference-declarations": [
"integer between 1 and 1000, optional, default: 1000"
]
},
{
"description": "non-negative integer, optional, default: 0",
"in": "query",
"name": "offset",
"required": false,
"schema": {
"default": 0,
"minimum": 0,
"type": "integer"
},
"x-aisa-reference-declarations": [
"non-negative integer, optional, default: 0"
]
},
{
"description": "Order results by values of the specified attribute.\nOne of the following strings: 'release_date', 'release_id', 'release_name'.\noptional, default: release_date",
"in": "query",
"name": "order_by",
"required": false,
"schema": {
"default": "release_date",
"enum": [
"release_date",
"release_id",
"release_name"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"One of the following strings: 'release_date', 'release_id', 'release_name'.",
"optional, default: release_date"
]
},
{
"description": "The end of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: 9999-12-31 (latest available)",
"in": "query",
"name": "realtime_end",
"required": false,
"schema": {
"default": "9999-12-31",
"format": "date",
"type": "string"
},
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: 9999-12-31 (latest available)"
]
},
{
"description": "The start of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: First day of the current year",
"in": "query",
"name": "realtime_start",
"required": false,
"schema": {
"format": "date",
"type": "string"
},
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: First day of the current year"
]
},
{
"description": "Sort results is ascending or descending release date order.\nOne of the following strings: 'asc', 'desc'.\noptional, default: desc",
"in": "query",
"name": "sort_order",
"required": false,
"schema": {
"default": "desc",
"enum": [
"asc",
"desc"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"One of the following strings: 'asc', 'desc'.",
"optional, default: desc"
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Your account price may differ; use a request quote where supported.Authorizations
Query Parameters
A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json Determines whether release dates with no data available are returned. The defalut value 'false' excludes release dates that do not have data. In particular, this excludes future release dates which may be available in the FRED release calendar or the ALFRED release calendar . If include_release_dates_with_no_data is set to true, the XML tag release_date has an extra attribute release_last_updated that can be compared to the release date to determine if data has been updated. One of the following strings: 'true', 'false'. optional, default: false
true, false Response
Successful response. The payload schema has not been reviewed yet.